---
title: "Retail Express API"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed"
---

# Retail Express API

OpenAPI specification document.

```json
{"openapi":"3.0.1","info":{"title":"Retail Express API","version":"V2"},"servers":[{"url":"https://api.retailexpress.com.au/v2"}],"paths":{"/auth/token":{"get":{"tags":["token"],"summary":"Acquires token","description":"Acquires token","operationId":"get-auth-token","parameters":[{"name":"x-api-key","in":"header","description":"Subscription key.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns authentication result"}}}},"/customers":{"get":{"tags":["customers"],"summary":"Searches Customers by parameters","description":"Searches Customers by parameters","operationId":"get-customers","parameters":[{"name":"created_since","in":"query","description":"Format - date-time (as date-time in RFC3339). Created since","schema":{"type":"string","description":"Created since","format":"date-time","nullable":true}},{"name":"modified_since","in":"query","description":"Format - date-time (as date-time in RFC3339). Modified since","schema":{"type":"string","description":"Modified since","format":"date-time","nullable":true}},{"name":"order_by","in":"query","description":"Order by. \r\n\r\nAvailable field name values: id, customer_number, email, mobile, first_name, last_name, company, customer_type_name, receive_email, receive_post, receive_sms, \r\nloyalty_program_enabled, loyalty_points_available, loyalty_points_available_value, loyalty_points_redeemed, loyalty_points_to_date, \r\naccount_customer_enabled, account_customer_payment_terms, price_group_standard, price_group_fixed, home_outlet_name, custom_reference, created_on, modified_on,\r\nexport_to_web, account_customer_credit_limit, account_customer_credit_remaining, sales_channel:id\r\n\r\nAvailable direction values: id asc, customer_number desc. \r\n\r\nExample: id asc, supplier desc","schema":{"type":"string","description":"Order by. \r\n\r\nAvailable field name values: id, customer_number, email, mobile, first_name, last_name, company, customer_type_name, receive_email, receive_post, receive_sms, \r\nloyalty_program_enabled, loyalty_points_available, loyalty_points_available_value, loyalty_points_redeemed, loyalty_points_to_date, \r\naccount_customer_enabled, account_customer_payment_terms, price_group_standard, price_group_fixed, home_outlet_name, custom_reference, created_on, modified_on,\r\nexport_to_web, account_customer_credit_limit, account_customer_credit_remaining, sales_channel:id\r\n\r\nAvailable direction values: id asc, customer_number desc. \r\n\r\nExample: id asc, supplier desc","nullable":true}},{"name":"filter_by","in":"query","description":"Filter by. \r\n\r\nAvailable field name values: id, customer_number, first_name, last_name, full_name, company, date_of_birth, date_of_birth_withheld, customer_type_name, \r\nmobile, phone, email, account_customer_enabled, account_customer_payment_terms, account_customer_credit_blocked, account_customer_credit_limit, account_customer_credit_remaining, \r\nbilling_address_suburb, billing_address_state, billing_address_postcode, billing_address_country,\r\nloyalty_program_enabled, loyalty_points_available, loyalty_points_available_value, loyalty_points_redeemed, loyalty_points_to_date, \r\nreceive_email, receive_post, receive_sms, price_group_standard, price_group_fixed, home_outlet_name, custom_reference, created_on, modified_on,\r\nexport_to_web, sales_channel:id\r\n            \r\nIn string values: '|' and ',' characters have to be escaped with slash, i.e. '\\\\,' '\\\\|'\r\n            \r\nFor operators that support multiple values (in, notin): multiple values are delimited using '|' character\r\n\r\nAvailable operators:\r\n\r\neq -  Equal\r\n\r\nneq - Not equals\r\n\r\nlt  - Less\r\n\r\nlte - Less or equal\r\n\r\ngt -  Greater\r\n\r\ngte - Greater or equal\r\n\r\nin  - In\r\n\r\nnotin - Not In\r\n            \r\ncontains - Contains\r\n\r\nisnull - Is Null\r\n            \r\nisnullorempty - Is Null Or Empty\r\n\r\nisnotnull - Is Not Null\r\n\r\nstartswith - Starts with\r\n\r\nendswith - Ends with\r\n\r\ndoesnotcontain - Does not contain\r\n            \r\nFor non-nullable fields operators isnull and isnotnull are unavailable\r\n\r\nFor dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable\r\n            \r\nFor strings operators: lt, lte, gt, gte are unavailable\r\n            \r\nExample: id:eq:303062, sales_channel:3039:eq:true","schema":{"type":"string","description":"Filter by. \r\n\r\nAvailable field name values: id, customer_number, first_name, last_name, full_name, company, date_of_birth, date_of_birth_withheld, customer_type_name, \r\nmobile, phone, email, account_customer_enabled, account_customer_payment_terms, account_customer_credit_blocked, account_customer_credit_limit, account_customer_credit_remaining, \r\nbilling_address_suburb, billing_address_state, billing_address_postcode, billing_address_country,\r\nloyalty_program_enabled, loyalty_points_available, loyalty_points_available_value, loyalty_points_redeemed, loyalty_points_to_date, \r\nreceive_email, receive_post, receive_sms, price_group_standard, price_group_fixed, home_outlet_name, custom_reference, created_on, modified_on,\r\nexport_to_web, sales_channel:id\r\n            \r\nIn string values: '|' and ',' characters have to be escaped with slash, i.e. '\\\\,' '\\\\|'\r\n            \r\nFor operators that support multiple values (in, notin): multiple values are delimited using '|' character\r\n\r\nAvailable operators:\r\n\r\neq -  Equal\r\n\r\nneq - Not equals\r\n\r\nlt  - Less\r\n\r\nlte - Less or equal\r\n\r\ngt -  Greater\r\n\r\ngte - Greater or equal\r\n\r\nin  - In\r\n\r\nnotin - Not In\r\n            \r\ncontains - Contains\r\n\r\nisnull - Is Null\r\n            \r\nisnullorempty - Is Null Or Empty\r\n\r\nisnotnull - Is Not Null\r\n\r\nstartswith - Starts with\r\n\r\nendswith - Ends with\r\n\r\ndoesnotcontain - Does not contain\r\n            \r\nFor non-nullable fields operators isnull and isnotnull are unavailable\r\n\r\nFor dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable\r\n            \r\nFor strings operators: lt, lte, gt, gte are unavailable\r\n            \r\nExample: id:eq:303062, sales_channel:3039:eq:true","nullable":true}},{"name":"page_number","in":"query","description":"Format - int32.","schema":{"maximum":100000,"minimum":1,"type":"integer","format":"int32"}},{"name":"page_size","in":"query","description":"Format - int32.","schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Paging Response with Customers data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Customer.PagingResponse"},"example":{"data":[{"account_customer":{"credit_blocked":true,"credit_limit":0,"credit_remaining":0,"enabled":true,"payment_terms":0},"abn":"string","billing_address":{"country":"string","country_code":"string","state":"string","suburb":"string","address_line1":"string","address_line2":"string","postcode":"string","company":"string","mobile":"string","phone":"string","first_name":"string","last_name":"string","email":"string"},"company":"string","customer_number":"string","customer_type":{"id":0,"name":"string"},"date_of_birth":"string","date_of_birth_withheld":true,"delivery_addresses":[{"country":"string","country_code":"string","state":"string","suburb":"string","address_line1":"string","address_line2":"string","postcode":"string","company":"string","mobile":"string","phone":"string","first_name":"string","last_name":"string","id":0,"default":true,"modified_on":"string"}],"email":"string","fax":"string","first_name":"string","id":0,"last_name":"string","loyalty_program":{"enabled":true,"points_available":0,"points_redeemed":0,"points_to_date":0,"auto_price_group":true,"points_available_value":0},"marketing":{"receive_email":true,"receive_post":true,"receive_sms":true},"mobile":"string","phone":"string","price_groups":[{"id":0,"name":"string","type":"string"}],"survey_responses":[{"id":0,"question":"string","answer":"string"}],"website":"string","home_outlet":{"id":0,"name":"string","modified_on":"string"},"custom_reference":"string","export_to_web":true,"sales_channels":[{"id":0,"name":"string","shopify_channel":true}],"created_on":"string","modified_on":"string"}],"page_number":0,"page_size":0,"total_records":0}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}},"post":{"tags":["customers"],"summary":"Creates Customer","description":"Sample request:\r\n\r\n     POST /customers\r\n        {\r\n             \"first_name\": \"FirstNameUser\",\r\n             \"last_name\": \"LastNameUser\",\r\n             \"company\": \"company\",\r\n             \"abn\": \"abn\",\r\n             \"phone\": \"+321\",\r\n             \"fax\": \"fax\",\r\n             \"mobile\": \"+123\",\r\n             \"email\": \"email@lel.org\",\r\n             \"website\": \"website.org\",\r\n             \"custom_reference\": \"customReference\",\r\n             \"export_to_web\": true,\r\n             \"customer_type\": {\r\n\t                \"name\": \"type1\",\r\n\t                \"id\": 5\r\n             },\r\n             \"home_outlet\": {\r\n\t                \"id\": 1,\r\n\t                \"name\": \"name\"\r\n             },\r\n             \"date_of_birth\": \"1999-04-30\",\r\n             \"date_of_birth_withheld\": false,\r\n             \"marketing\":{\r\n\t                \"receive_email\": true,\r\n\t                \"receive_post\": true,\r\n\t                \"receive_sms\": true\r\n             }, \r\n             \"price_groups\": [\r\n               {\r\n\t                \"id\": 1,\r\n\t                \"name\": \"name1\",\r\n\t                \"type\": \"Standard\"\r\n               },\r\n               {\r\n\t                \"id\": 5,\r\n\t                \"name\": \"name2\",\r\n\t                \"type\": \"Fixed\"\r\n              }],\r\n             \"billing_address\": {\r\n                 \"address_line1\": \"address_line1\",\r\n                 \"address_line2\": \"address_line2\",\r\n                 \"suburb\": \"suburb\",\r\n                 \"state\": \"state\",\r\n                 \"postcode\": \"postcode\",\r\n                 \"country\": \"country\",\r\n                 \"email\": \"sampleemail@kek.au\"\r\n             },\r\n             \"loyalty_program\": {\r\n                 \"enabled\": false,\r\n                 \"auto_price_group\": false\r\n             },\r\n             \"account_customer\": {\r\n                 \"enabled\": false,\r\n                 \"payment_terms\": 0,\r\n                 \"credit_limit\": 0,\r\n                 \"credit_blocked\": false,\r\n                 \"credit_remaining\": 10\r\n             },\r\n             \"survey_responses\": [{\r\n                 \"id\": 1,\r\n                 \"question\": \"question1\",\r\n                 \"answer\": \"answer\"\r\n             }]\r\n        }","operationId":"post-customers","parameters":[{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"title":"EmptyExample","type":"object","additionalProperties":false}}}},"responses":{"201":{"description":"Customer created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Customer"},"example":{"account_customer":{"credit_blocked":true,"credit_limit":0,"credit_remaining":0,"enabled":true,"payment_terms":0},"abn":"string","billing_address":{"country":"string","country_code":"string","state":"string","suburb":"string","address_line1":"string","address_line2":"string","postcode":"string","company":"string","mobile":"string","phone":"string","first_name":"string","last_name":"string","email":"string"},"company":"string","customer_number":"string","customer_type":{"id":0,"name":"string"},"date_of_birth":"string","date_of_birth_withheld":true,"delivery_addresses":[{"country":"string","country_code":"string","state":"string","suburb":"string","address_line1":"string","address_line2":"string","postcode":"string","company":"string","mobile":"string","phone":"string","first_name":"string","last_name":"string","id":0,"default":true,"modified_on":"string"}],"email":"string","fax":"string","first_name":"string","id":0,"last_name":"string","loyalty_program":{"enabled":true,"points_available":0,"points_redeemed":0,"points_to_date":0,"auto_price_group":true,"points_available_value":0},"marketing":{"receive_email":true,"receive_post":true,"receive_sms":true},"mobile":"string","phone":"string","price_groups":[{"id":0,"name":"string","type":"string"}],"survey_responses":[{"id":0,"question":"string","answer":"string"}],"website":"string","home_outlet":{"id":0,"name":"string","modified_on":"string"},"custom_reference":"string","export_to_web":true,"sales_channels":[{"id":0,"name":"string","shopify_channel":true}],"created_on":"string","modified_on":"string"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}}},"/customers/{id}":{"get":{"tags":["customers"],"summary":"Gets specific Customer by unique id","description":"Gets specific Customer by unique id","operationId":"get-customers-id","parameters":[{"name":"id","in":"path","description":"Format - int32. Customer id","required":true,"schema":{"type":"integer","description":"Customer id","format":"int32","example":10000}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns found Customer","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Customer"},"example":{"account_customer":{"credit_blocked":true,"credit_limit":0,"credit_remaining":0,"enabled":true,"payment_terms":0},"abn":"string","billing_address":{"country":"string","country_code":"string","state":"string","suburb":"string","address_line1":"string","address_line2":"string","postcode":"string","company":"string","mobile":"string","phone":"string","first_name":"string","last_name":"string","email":"string"},"company":"string","customer_number":"string","customer_type":{"id":0,"name":"string"},"date_of_birth":"string","date_of_birth_withheld":true,"delivery_addresses":[{"country":"string","country_code":"string","state":"string","suburb":"string","address_line1":"string","address_line2":"string","postcode":"string","company":"string","mobile":"string","phone":"string","first_name":"string","last_name":"string","id":0,"default":true,"modified_on":"string"}],"email":"string","fax":"string","first_name":"string","id":0,"last_name":"string","loyalty_program":{"enabled":true,"points_available":0,"points_redeemed":0,"points_to_date":0,"auto_price_group":true,"points_available_value":0},"marketing":{"receive_email":true,"receive_post":true,"receive_sms":true},"mobile":"string","phone":"string","price_groups":[{"id":0,"name":"string","type":"string"}],"survey_responses":[{"id":0,"question":"string","answer":"string"}],"website":"string","home_outlet":{"id":0,"name":"string","modified_on":"string"},"custom_reference":"string","export_to_web":true,"sales_channels":[{"id":0,"name":"string","shopify_channel":true}],"created_on":"string","modified_on":"string"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"404":{"description":"Customer not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}},"put":{"tags":["customers"],"summary":"Updates Customer","description":"Sample request:\r\n\r\n     PUT /customers\r\n        {\r\n             \"first_name\": \"FirstNameUser\",\r\n             \"last_name\": \"LastNameUser\",\r\n             \"company\": \"company\",\r\n             \"abn\": \"abn\",\r\n             \"phone\": \"+321\",\r\n             \"fax\": \"fax\",\r\n             \"mobile\": \"+123\",\r\n             \"email\": \"email@lel.org\",\r\n             \"website\": \"website.org\",\r\n             \"custom_reference\": \"customReference\",\r\n             \"customer_type\": {\r\n\t                \"name\": \"type1\",\r\n\t                \"id\": 5\r\n             },\r\n             \"home_outlet\": {\r\n\t                \"id\": 1,\r\n\t                \"name\": \"name\"\r\n             },\r\n             \"date_of_birth\": \"1999-04-30\",\r\n             \"date_of_birth_withheld\": false,\r\n             \"marketing\":{\r\n\t                \"receive_email\": true,\r\n\t                \"receive_post\": true,\r\n\t                \"receive_sms\": true\r\n             }, \r\n             \"price_groups\": [\r\n               {\r\n\t                \"id\": 1,\r\n\t                \"name\": \"name1\",\r\n\t                \"type\": \"Standard\"\r\n               },\r\n               {\r\n\t                \"id\": 5,\r\n\t                \"name\": \"name2\",\r\n\t                \"type\": \"Fixed\"\r\n              }],\r\n             \"billing_address\": {\r\n                 \"address_line1\": \"address_line1\",\r\n                 \"address_line2\": \"address_line2\",\r\n                 \"suburb\": \"suburb\",\r\n                 \"state\": \"state\",\r\n                 \"postcode\": \"postcode\",\r\n                 \"country\": \"country\",\r\n                 \"email\": \"sampleemail@kek.au\"\r\n             },\r\n             \"loyalty_program\": {\r\n                 \"enabled\": false,\r\n                 \"auto_price_group\": false\r\n             },\r\n             \"account_customer\": {\r\n                 \"enabled\": false,\r\n                 \"payment_terms\": 0,\r\n                 \"credit_limit\": 0,\r\n                 \"credit_blocked\": false,\r\n                 \"credit_remaining\": 10\r\n             },\r\n             \"survey_responses\": [{\r\n                 \"id\": 1,\r\n                 \"question\": \"question1\",\r\n                 \"answer\": \"answer\"\r\n             }]\r\n        }","operationId":"put-customers-id","parameters":[{"name":"id","in":"path","description":"Format - int32. Customer id","required":true,"schema":{"type":"integer","description":"Customer id","format":"int32","example":10000}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"requestBody":{"description":"Customer model","content":{"application/json":{"schema":{"title":"EmptyExample","type":"object","additionalProperties":false}}}},"responses":{"200":{"description":"Returns updated Customer","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Customer"},"example":{"account_customer":{"credit_blocked":true,"credit_limit":0,"credit_remaining":0,"enabled":true,"payment_terms":0},"abn":"string","billing_address":{"country":"string","country_code":"string","state":"string","suburb":"string","address_line1":"string","address_line2":"string","postcode":"string","company":"string","mobile":"string","phone":"string","first_name":"string","last_name":"string","email":"string"},"company":"string","customer_number":"string","customer_type":{"id":0,"name":"string"},"date_of_birth":"string","date_of_birth_withheld":true,"delivery_addresses":[{"country":"string","country_code":"string","state":"string","suburb":"string","address_line1":"string","address_line2":"string","postcode":"string","company":"string","mobile":"string","phone":"string","first_name":"string","last_name":"string","id":0,"default":true,"modified_on":"string"}],"email":"string","fax":"string","first_name":"string","id":0,"last_name":"string","loyalty_program":{"enabled":true,"points_available":0,"points_redeemed":0,"points_to_date":0,"auto_price_group":true,"points_available_value":0},"marketing":{"receive_email":true,"receive_post":true,"receive_sms":true},"mobile":"string","phone":"string","price_groups":[{"id":0,"name":"string","type":"string"}],"survey_responses":[{"id":0,"question":"string","answer":"string"}],"website":"string","home_outlet":{"id":0,"name":"string","modified_on":"string"},"custom_reference":"string","export_to_web":true,"sales_channels":[{"id":0,"name":"string","shopify_channel":true}],"created_on":"string","modified_on":"string"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}}},"/freighttypes":{"post":{"tags":["freighttypes"],"summary":"Creates Freight Type","description":"Sample request:\r\n\r\n     POST /freighttypes\r\n     {\r\n         \"name\": \"Freight Type Name\",\r\n     }","operationId":"post-freighttypes","parameters":[{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"requestBody":{"description":"Freight Type model","content":{"application/json":{"schema":{"title":"EmptyExample","type":"object","additionalProperties":false}}}},"responses":{"201":{"description":"Freight Type created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FreightType"},"example":{"name":"string","id":0,"deleted":true,"modified_on":"string"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}},"get":{"tags":["freighttypes"],"summary":"Searches Freight Types by parameters","description":"Searches Freight Types by parameters","operationId":"get-freighttypes","parameters":[{"name":"name","in":"query","description":"Freight type name.","schema":{"maxLength":100,"minLength":0,"type":"string","description":"Freight type name.","nullable":true}},{"name":"deleted","in":"query","description":"Is freight type deleted.","schema":{"type":"boolean","description":"Is freight type deleted.","nullable":true}},{"name":"modified_since","in":"query","description":"Format - date-time (as date-time in RFC3339). Freight type modified since date and time.","schema":{"type":"string","description":"Freight type modified since date and time.","format":"date-time","nullable":true}},{"name":"page_number","in":"query","description":"Format - int32.","schema":{"maximum":100000,"minimum":1,"type":"integer","format":"int32"}},{"name":"page_size","in":"query","description":"Format - int32.","schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Paging Response with Freight Types data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FreightType.PagingResponse"},"example":{"data":[{"name":"string","id":0,"deleted":true,"modified_on":"string"}],"page_number":0,"page_size":0,"total_records":0}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}}},"/freighttypes/{id}":{"delete":{"tags":["freighttypes"],"summary":"Deletes specific Freight Type by id","description":"Deletes specific Freight Type by id","operationId":"delete-freighttypes-id","parameters":[{"name":"id","in":"path","description":"Format - int32. Freight Type id","required":true,"schema":{"type":"integer","description":"Freight Type id","format":"int32","example":10000}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"204":{"description":"Freight Type deleted"},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}},"get":{"tags":["freighttypes"],"summary":"Gets specific Freight Type by unique id","description":"Gets specific Freight Type by unique id","operationId":"get-freighttypes-id","parameters":[{"name":"id","in":"path","description":"Format - int32. Freight Type id","required":true,"schema":{"type":"integer","description":"Freight Type id","format":"int32","example":10000}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns found Freight Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FreightType"},"example":{"name":"string","id":0,"deleted":true,"modified_on":"string"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"404":{"description":"Freight Type not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}},"put":{"tags":["freighttypes"],"summary":"Updates Freight Type","description":"Sample request:\r\n\r\n     PUT /freighttypes\r\n     {\r\n         \"name\": \"Freight Type Name\"\r\n     }","operationId":"put-freighttypes-id","parameters":[{"name":"id","in":"path","description":"Format - int32. Freight Type id","required":true,"schema":{"type":"integer","description":"Freight Type id","format":"int32","example":10000}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"requestBody":{"description":"Freight Type model","content":{"application/json":{"schema":{"title":"EmptyExample","type":"object","additionalProperties":false}}}},"responses":{"200":{"description":"Returns updated Freight Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FreightType"},"example":{"name":"string","id":0,"deleted":true,"modified_on":"string"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"404":{"description":"Freight Type not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}}},"/inventory":{"get":{"tags":["inventory"],"summary":"Searches Inventories by parameters","description":"Searches Inventories by parameters","operationId":"get-inventory","parameters":[{"name":"sales_channel_id","in":"query","description":"Sales Channel Id or Collection of Sales Channel Ids (comma separated)\r\nExample: 14,3,312","schema":{"type":"string","description":"Sales Channel Id or Collection of Sales Channel Ids (comma separated)\r\nExample: 14,3,312","nullable":true}},{"name":"sku","in":"query","description":"Product SKU or Collection of Product SKUs (comma separated)\r\nExample: sku1,sku2,sku3","schema":{"type":"string","description":"Product SKU or Collection of Product SKUs (comma separated)\r\nExample: sku1,sku2,sku3","nullable":true}},{"name":"outlet_id","in":"query","description":"Outlet Id or Collection of Outlet Ids (comma separated)\r\nExample: 1,2,3","schema":{"type":"string","description":"Outlet Id or Collection of Outlet Ids (comma separated)\r\nExample: 1,2,3","nullable":true}},{"name":"product_id","in":"query","description":"Product Id or Collection of Product Ids (comma separated)\r\nExample: 1,2,3","schema":{"type":"string","description":"Product Id or Collection of Product Ids (comma separated)\r\nExample: 1,2,3","nullable":true}},{"name":"modified_since","in":"query","description":"Format - date-time (as date-time in RFC3339). Modified since search parameter","schema":{"type":"string","description":"Modified since search parameter","format":"date-time","nullable":true}},{"name":"page_number","in":"query","description":"Format - int32.","schema":{"maximum":100000,"minimum":1,"type":"integer","format":"int32"}},{"name":"page_size","in":"query","description":"Format - int32.","schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Paging Response with Inventories data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Inventory.PagingResponse"},"example":{"data":[{"allocated":0,"available":0,"bin_location":"string","faulty":0,"msl":0,"on_order":0,"outlet_id":0,"picked":0,"product_id":0,"received":0,"requested":0,"transit_in":0,"transit_out":0,"modified_on":"string"}],"page_number":0,"page_size":0,"total_records":0}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}}},"/orders/{id}/fulfilments":{"get":{"tags":["orders"],"summary":"Searches Order Fulfilments by parameters","description":"Searches Order Fulfilments by parameters","operationId":"get-orders-id-fulfilments","parameters":[{"name":"id","in":"path","description":"Format - int32. Order id","required":true,"schema":{"type":"integer","description":"Order id","format":"int32"}},{"name":"created_since","in":"query","description":"Format - date-time (as date-time in RFC3339). Created since","schema":{"type":"string","description":"Created since","format":"date-time","nullable":true}},{"name":"page_number","in":"query","description":"Format - int32.","schema":{"maximum":100000,"minimum":1,"type":"integer","format":"int32"}},{"name":"page_size","in":"query","description":"Format - int32.","schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Paging Response with Order Fulfilments data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fulfilment.PagingResponse"},"example":{"data":[{"id":0,"order_item_id":0,"quantity_fulfiled":0,"fulfil_outlet":{"id":0,"name":"string","modified_on":"string"},"created_on":"string"}],"page_number":0,"page_size":0,"total_records":0}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}}},"/orders/{id}/fulfilments/{fulfilment_id}":{"get":{"tags":["orders"],"summary":"Gets specific Order Fulfilment","description":"Gets specific Order Fulfilment","operationId":"get-orders-id-fulfilments-fulfilment_id","parameters":[{"name":"id","in":"path","description":"Format - int32. Order id","required":true,"schema":{"type":"integer","description":"Order id","format":"int32"}},{"name":"fulfilment_id","in":"path","description":"Format - int32. Fulfilment id","required":true,"schema":{"type":"integer","description":"Fulfilment id","format":"int32"}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns found Order Fulfilment","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fulfilment"},"example":{"id":0,"order_item_id":0,"quantity_fulfiled":0,"fulfil_outlet":{"id":0,"name":"string","modified_on":"string"},"created_on":"string"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"404":{"description":"Order Fulfilment not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}}},"/orders/{id}/orderitems":{"get":{"tags":["orders"],"summary":"Searches Order Items by parameters","description":"Searches Order Items by parameters","operationId":"get-orders-id-orderitems","parameters":[{"name":"id","in":"path","description":"Format - int32. Order id","required":true,"schema":{"type":"integer","description":"Order id","format":"int32"}},{"name":"created_since","in":"query","description":"Format - date-time (as date-time in RFC3339). Created since","schema":{"type":"string","description":"Created since","format":"date-time","nullable":true}},{"name":"modified_since","in":"query","description":"Format - date-time (as date-time in RFC3339). Modified since","schema":{"type":"string","description":"Modified since","format":"date-time","nullable":true}},{"name":"page_number","in":"query","description":"Format - int32.","schema":{"maximum":100000,"minimum":1,"type":"integer","format":"int32"}},{"name":"page_size","in":"query","description":"Format - int32.","schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Paging Response with Order Items data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderItem.PagingResponse"},"example":{"data":[{"id":0,"external_id":"string","order_item_type":"string","product":{"id":0,"product_type":{"id":0,"name":"string","modified_on":"string"},"supplier_sku":"string","short_description":"string"},"original_price":0,"sell_price":0,"order_item_total":0,"order_item_discount_total":0,"taxable":true,"tax_rate":0,"supplier_buy_ex":0,"direct_costs_ex":0,"cogs_ex":0,"fulfilment_method":"string","due_date":"string","delivery_driver":{"id":0,"name":"string"},"delivery_zone":{"id":0,"name":"string"},"delivery_time":{"id":0,"name":"string"},"quantity_ordered":0,"quantity_fulfiled":0,"fulfil_outlet":{"id":0,"name":"string","modified_on":"string"},"source_outlet":{"id":0,"name":"string","modified_on":"string"},"applied_promotional_campaigns":[{"id":0,"name":"string"}],"created_on":"string","modified_on":"string","linked_purchase_order":{"id":0,"status":{"id":0,"name":"string"},"eta":"string","created_on":"string","modified_on":"string"}}],"page_number":0,"page_size":0,"total_records":0}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}}},"/orders/{id}/orderitems/{item_id}":{"get":{"tags":["orders"],"summary":"Gets specific Order Item","description":"Gets specific Order Item","operationId":"get-orders-id-orderitems-item_id","parameters":[{"name":"id","in":"path","description":"Format - int32. Order id","required":true,"schema":{"type":"integer","description":"Order id","format":"int32"}},{"name":"item_id","in":"path","description":"Format - int32. Order Item id","required":true,"schema":{"type":"integer","description":"Order Item id","format":"int32"}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns found Order Item","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderItem"},"example":{"id":0,"external_id":"string","order_item_type":"string","product":{"id":0,"product_type":{"id":0,"name":"string","modified_on":"string"},"supplier_sku":"string","short_description":"string"},"original_price":0,"sell_price":0,"order_item_total":0,"order_item_discount_total":0,"taxable":true,"tax_rate":0,"supplier_buy_ex":0,"direct_costs_ex":0,"cogs_ex":0,"fulfilment_method":"string","due_date":"string","delivery_driver":{"id":0,"name":"string"},"delivery_zone":{"id":0,"name":"string"},"delivery_time":{"id":0,"name":"string"},"quantity_ordered":0,"quantity_fulfiled":0,"fulfil_outlet":{"id":0,"name":"string","modified_on":"string"},"source_outlet":{"id":0,"name":"string","modified_on":"string"},"applied_promotional_campaigns":[{"id":0,"name":"string"}],"created_on":"string","modified_on":"string","linked_purchase_order":{"id":0,"status":{"id":0,"name":"string"},"eta":"string","created_on":"string","modified_on":"string"}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"404":{"description":"Order Item not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}}},"/orders/{id}/payments":{"get":{"tags":["orders"],"summary":"Searches Order Payments by parameters","description":"Searches Order Payments by parameters","operationId":"get-orders-id-payments","parameters":[{"name":"id","in":"path","description":"Format - int32. Order id","required":true,"schema":{"type":"integer","description":"Order id","format":"int32"}},{"name":"created_since","in":"query","description":"Format - date-time (as date-time in RFC3339). Created since","schema":{"type":"string","description":"Created since","format":"date-time","nullable":true}},{"name":"page_number","in":"query","description":"Format - int32.","schema":{"maximum":100000,"minimum":1,"type":"integer","format":"int32"}},{"name":"page_size","in":"query","description":"Format - int32.","schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Paging Response with Order Payments data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderPayment.PagingResponse"},"example":{"data":[{"id":0,"external_id":"string","payment_method":{"id":0,"name":"string"},"amount":0,"created_on":"string"}],"page_number":0,"page_size":0,"total_records":0}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}}},"/orders/{id}/payments/{payment_id}":{"get":{"tags":["orders"],"summary":"Gets specific Order Payment","description":"Gets specific Order Payment","operationId":"get-orders-id-payments-payment_id","parameters":[{"name":"id","in":"path","description":"Format - int32. Order id","required":true,"schema":{"type":"integer","description":"Order id","format":"int32"}},{"name":"payment_id","in":"path","description":"Format - int32. Payment id","required":true,"schema":{"type":"integer","description":"Payment id","format":"int32"}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns found Order Payment","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderPayment"},"example":{"id":0,"external_id":"string","payment_method":{"id":0,"name":"string"},"amount":0,"created_on":"string"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"404":{"description":"Order Payment not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}}},"/orders":{"get":{"tags":["orders"],"summary":"Searches Orders by parameters","description":"Searches Orders by parameters","operationId":"get-orders","parameters":[{"name":"created_since","in":"query","description":"Format - date-time (as date-time in RFC3339). Created since","schema":{"type":"string","description":"Created since","format":"date-time","nullable":true}},{"name":"modified_since","in":"query","description":"Format - date-time (as date-time in RFC3339). Modified since","schema":{"type":"string","description":"Modified since","format":"date-time","nullable":true}},{"name":"include_items","in":"query","description":"Include items","schema":{"type":"boolean","description":"Include items"}},{"name":"include_fulfilments","in":"query","description":"Include fulfilments","schema":{"type":"boolean","description":"Include fulfilments"}},{"name":"include_payments","in":"query","description":"Include payments","schema":{"type":"boolean","description":"Include payments"}},{"name":"include_order_vouchers","in":"query","description":"Include order vouchers","schema":{"type":"boolean","description":"Include order vouchers"}},{"name":"order_by","in":"query","description":"Order by. \r\n\r\nAvailable field name values: id, outlet, sales_channel, customer, sales_person, created_on, modified_on. \r\n\r\nAvailable direction values: asc, desc. \r\n\r\nExample: id asc, outlet desc","schema":{"type":"string","description":"Order by. \r\n\r\nAvailable field name values: id, outlet, sales_channel, customer, sales_person, created_on, modified_on. \r\n\r\nAvailable direction values: asc, desc. \r\n\r\nExample: id asc, outlet desc","nullable":true}},{"name":"filter_by","in":"query","description":"Filter by. \r\n\r\nAvailable field name values: order_number, order_status_id, sales_channel_id, outlet_id, customer_id, customer_number, customer_email, sales_person_id.\r\n            \r\nIn string values: '|' and ',' characters have to be escaped with slash, i.e. '\\\\,' '\\\\|'\r\n            \r\nFor operators that support multiple values (in, notin): multiple values are delimited using '|' character\r\n\r\nAvailable operators:\r\n\r\neq -  Equal\r\n\r\nneq - Not equals\r\n\r\nlt  - Less\r\n\r\nlte - Less or equal\r\n\r\ngt -  Greater\r\n\r\ngte - Greater or equal\r\n\r\nin  - In\r\n\r\nnotin - Not In\r\n            \r\ncontains - Contains\r\n\r\nisnull - Is Null\r\n            \r\nisnullorempty - Is Null Or Empty\r\n\r\nisnotnull - Is Not Null\r\n\r\nstartswith - Starts with\r\n\r\nendswith - Ends with\r\n\r\ndoesnotcontain - Does not contain\r\n            \r\nFor non-nullable fields operators isnull and isnotnull are unavailable\r\n\r\nFor dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable\r\n            \r\nFor strings operators: lt, lte, gt, gte are unavailable\r\n            \r\nExample: created_on:gte:2021-06-03T05:48:09+10:00,order_number:in:order_number1|order_number2","schema":{"type":"string","description":"Filter by. \r\n\r\nAvailable field name values: order_number, order_status_id, sales_channel_id, outlet_id, customer_id, customer_number, customer_email, sales_person_id.\r\n            \r\nIn string values: '|' and ',' characters have to be escaped with slash, i.e. '\\\\,' '\\\\|'\r\n            \r\nFor operators that support multiple values (in, notin): multiple values are delimited using '|' character\r\n\r\nAvailable operators:\r\n\r\neq -  Equal\r\n\r\nneq - Not equals\r\n\r\nlt  - Less\r\n\r\nlte - Less or equal\r\n\r\ngt -  Greater\r\n\r\ngte - Greater or equal\r\n\r\nin  - In\r\n\r\nnotin - Not In\r\n            \r\ncontains - Contains\r\n\r\nisnull - Is Null\r\n            \r\nisnullorempty - Is Null Or Empty\r\n\r\nisnotnull - Is Not Null\r\n\r\nstartswith - Starts with\r\n\r\nendswith - Ends with\r\n\r\ndoesnotcontain - Does not contain\r\n            \r\nFor non-nullable fields operators isnull and isnotnull are unavailable\r\n\r\nFor dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable\r\n            \r\nFor strings operators: lt, lte, gt, gte are unavailable\r\n            \r\nExample: created_on:gte:2021-06-03T05:48:09+10:00,order_number:in:order_number1|order_number2","nullable":true}},{"name":"page_number","in":"query","description":"Format - int32.","schema":{"maximum":100000,"minimum":1,"type":"integer","format":"int32"}},{"name":"page_size","in":"query","description":"Format - int32.","schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Paging Response with Orders data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Order.PagingResponse"},"example":{"data":[{"billing_address":{"country":"string","country_code":"string","state":"string","suburb":"string","address_line1":"string","address_line2":"string","postcode":"string","company":"string","mobile":"string","phone":"string","first_name":"string","last_name":"string","email":"string"},"private_comments":"string","delivery_address":{"country":"string","country_code":"string","state":"string","suburb":"string","address_line1":"string","address_line2":"string","postcode":"string","company":"string","mobile":"string","phone":"string","first_name":"string","last_name":"string","id":0,"default":true,"modified_on":"string"},"ext_unique_id":"string","freight_total":0,"freight_type":{"id":0,"name":"string"},"id":0,"customer":{"customer_number":"string","custom_reference":"string","Email":"string","first_name":"string","id":0,"last_name":"string"},"order_number":"string","sales_channel":{"id":0,"name":"string"},"sales_person":{"first_name":"string","id":0,"last_name":"string"},"order_status":{"id":0,"status":"string"},"order_total":0,"outlet":{"id":0,"name":"string","modified_on":"string"},"public_comments":"string","taxable":0,"created_on":"string","modified_on":"string","fulfilled_in_full_on":"string","paid_in_full_on":"string","order_items":[{"id":0,"external_id":"string","order_item_type":"string","product":{"id":0,"product_type":{"id":0,"name":"string","modified_on":"string"},"supplier_sku":"string","short_description":"string"},"original_price":0,"sell_price":0,"order_item_total":0,"order_item_discount_total":0,"taxable":true,"tax_rate":0,"supplier_buy_ex":0,"direct_costs_ex":0,"cogs_ex":0,"fulfilment_method":"string","due_date":"string","delivery_driver":{"id":0,"name":"string"},"delivery_zone":{"id":0,"name":"string"},"delivery_time":{"id":0,"name":"string"},"quantity_ordered":0,"quantity_fulfiled":0,"fulfil_outlet":{"id":0,"name":"string","modified_on":"string"},"source_outlet":{"id":0,"name":"string","modified_on":"string"},"applied_promotional_campaigns":[{"id":0,"name":"string"}],"created_on":"string","modified_on":"string","linked_purchase_order":{"id":0,"status":{"id":0,"name":"string"},"eta":"string","created_on":"string","modified_on":"string"}}],"fulfilments":[{"id":0,"order_item_id":0,"quantity_fulfiled":0,"fulfil_outlet":{"id":0,"name":"string","modified_on":"string"},"created_on":"string"}],"payments":[{"id":0,"external_id":"string","payment_method":{"id":0,"name":"string"},"amount":0,"created_on":"string"}],"vouchers":[{"id":0,"code":"string","type":{"id":0,"name":"string"},"initial_value":0,"balance":0,"created_on":"string","expires_on":"string"}]}],"page_number":0,"page_size":0,"total_records":0}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}}},"/orders/{id}":{"get":{"tags":["orders"],"summary":"Gets specific Order by unique id","description":"Gets specific Order by unique id","operationId":"get-orders-id","parameters":[{"name":"id","in":"path","description":"Format - int32. Order id","required":true,"schema":{"type":"integer","description":"Order id","format":"int32","example":10000}},{"name":"include_items","in":"query","description":"Include items","schema":{"type":"boolean","description":"Include items"}},{"name":"include_fulfilments","in":"query","description":"Include fulfilments","schema":{"type":"boolean","description":"Include fulfilments"}},{"name":"include_payments","in":"query","description":"Include payments","schema":{"type":"boolean","description":"Include payments"}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns found Order","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Order"},"example":{"billing_address":{"country":"string","country_code":"string","state":"string","suburb":"string","address_line1":"string","address_line2":"string","postcode":"string","company":"string","mobile":"string","phone":"string","first_name":"string","last_name":"string","email":"string"},"private_comments":"string","delivery_address":{"country":"string","country_code":"string","state":"string","suburb":"string","address_line1":"string","address_line2":"string","postcode":"string","company":"string","mobile":"string","phone":"string","first_name":"string","last_name":"string","id":0,"default":true,"modified_on":"string"},"ext_unique_id":"string","freight_total":0,"freight_type":{"id":0,"name":"string"},"id":0,"customer":{"customer_number":"string","custom_reference":"string","Email":"string","first_name":"string","id":0,"last_name":"string"},"order_number":"string","sales_channel":{"id":0,"name":"string"},"sales_person":{"first_name":"string","id":0,"last_name":"string"},"order_status":{"id":0,"status":"string"},"order_total":0,"outlet":{"id":0,"name":"string","modified_on":"string"},"public_comments":"string","taxable":0,"created_on":"string","modified_on":"string","fulfilled_in_full_on":"string","paid_in_full_on":"string","order_items":[{"id":0,"external_id":"string","order_item_type":"string","product":{"id":0,"product_type":{"id":0,"name":"string","modified_on":"string"},"supplier_sku":"string","short_description":"string"},"original_price":0,"sell_price":0,"order_item_total":0,"order_item_discount_total":0,"taxable":true,"tax_rate":0,"supplier_buy_ex":0,"direct_costs_ex":0,"cogs_ex":0,"fulfilment_method":"string","due_date":"string","delivery_driver":{"id":0,"name":"string"},"delivery_zone":{"id":0,"name":"string"},"delivery_time":{"id":0,"name":"string"},"quantity_ordered":0,"quantity_fulfiled":0,"fulfil_outlet":{"id":0,"name":"string","modified_on":"string"},"source_outlet":{"id":0,"name":"string","modified_on":"string"},"applied_promotional_campaigns":[{"id":0,"name":"string"}],"created_on":"string","modified_on":"string","linked_purchase_order":{"id":0,"status":{"id":0,"name":"string"},"eta":"string","created_on":"string","modified_on":"string"}}],"fulfilments":[{"id":0,"order_item_id":0,"quantity_fulfiled":0,"fulfil_outlet":{"id":0,"name":"string","modified_on":"string"},"created_on":"string"}],"payments":[{"id":0,"external_id":"string","payment_method":{"id":0,"name":"string"},"amount":0,"created_on":"string"}],"vouchers":[{"id":0,"code":"string","type":{"id":0,"name":"string"},"initial_value":0,"balance":0,"created_on":"string","expires_on":"string"}]}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"404":{"description":"Order not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}}},"/productattributes/{id}/values":{"get":{"tags":["productattributes"],"summary":"Gets all Product Attribute Values, existing in the system for provided Product Attribute","description":"Gets all Product Attribute Values, existing in the system for provided Product Attribute","operationId":"get-productattributes-id-values","parameters":[{"name":"id","in":"path","description":"Format - int32. Product Attribute id","required":true,"schema":{"type":"integer","description":"Product Attribute id","format":"int32","example":2}},{"name":"modified_since","in":"query","description":"Format - date-time (as date-time in RFC3339). Modified since","schema":{"type":"string","description":"Modified since","format":"date-time","nullable":true}},{"name":"page_number","in":"query","description":"Format - int32.","schema":{"maximum":100000,"minimum":1,"type":"integer","format":"int32"}},{"name":"page_size","in":"query","description":"Format - int32.","schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Paging Response with Product Attributes data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttributeValue.PagingResponse"},"example":{"data":[{"id":0,"attribute_id":0,"name":"string","list_order":0,"modified_on":"string"}],"page_number":0,"page_size":0,"total_records":0}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}},"post":{"tags":["productattributes"],"summary":"Creates new Product Attribute Value entity in the system","description":"Sample request:\r\n            \r\n    POST /productattributes/2/values\r\n    {\r\n       \"name\": \"sample_name\"\r\n    }","operationId":"post-productattributes-id-values","parameters":[{"name":"id","in":"path","description":"Format - int32. Product Attribute id","required":true,"schema":{"type":"integer","description":"Product Attribute id","format":"int32"}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"requestBody":{"description":"Product Attribute Value model","content":{"application/json":{"schema":{"title":"EmptyExample","type":"object","additionalProperties":false}}}},"responses":{"201":{"description":"New Product Attribute Value was created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttributeValue"},"example":{"id":0,"attribute_id":0,"name":"string","list_order":0,"modified_on":"string"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}}},"/productattributes/{id}/values/{value_id}":{"get":{"tags":["productattributes"],"summary":"Gets specific Product Attribute Value by unique id","description":"Gets specific Product Attribute Value by unique id","operationId":"get-productattributes-id-values-value_id","parameters":[{"name":"id","in":"path","description":"Format - int32. Product Attribute id","required":true,"schema":{"type":"integer","description":"Product Attribute id","format":"int32","example":2}},{"name":"value_id","in":"path","description":"Format - int32. Product Attribute Value id","required":true,"schema":{"type":"integer","description":"Product Attribute Value id","format":"int32","example":321}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns found Product Attribute","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttributeValue"},"example":{"id":0,"attribute_id":0,"name":"string","list_order":0,"modified_on":"string"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}},"put":{"tags":["productattributes"],"summary":"Updates Product Attribute Value entity in the system.","description":"Sample request:\r\n            \r\n    PUT /productattributes/2/values/66\r\n    {\r\n       \"name\": \"sample_name\"\r\n    }","operationId":"put-productattributes-id-values-value_id","parameters":[{"name":"id","in":"path","description":"Format - int32. Product Attribute id","required":true,"schema":{"type":"integer","description":"Product Attribute id","format":"int32"}},{"name":"value_id","in":"path","description":"Format - int32. Product Attribute value id","required":true,"schema":{"type":"integer","description":"Product Attribute value id","format":"int32"}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"requestBody":{"description":"Product Attribute Value model","content":{"application/json":{"schema":{"title":"EmptyExample","type":"object","additionalProperties":false}}}},"responses":{"200":{"description":"Product Attribute Value was updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttributeValue"},"example":{"id":0,"attribute_id":0,"name":"string","list_order":0,"modified_on":"string"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}}},"/productattributes":{"get":{"tags":["productattributes"],"summary":"Gets all Product Attributes, existing in the system","description":"Gets all Product Attributes, existing in the system","operationId":"get-productattributes","parameters":[{"name":"modified_since","in":"query","description":"Format - date-time (as date-time in RFC3339). Modified since","schema":{"type":"string","description":"Modified since","format":"date-time","nullable":true}},{"name":"page_number","in":"query","description":"Format - int32.","schema":{"maximum":100000,"minimum":1,"type":"integer","format":"int32"}},{"name":"page_size","in":"query","description":"Format - int32.","schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Paging Response with Product Attributes data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Attribute.PagingResponse"},"example":{"data":[{"id":0,"name":"string","type":"string","modified_on":"string"}],"page_number":0,"page_size":0,"total_records":0}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}}},"/productattributes/{id}":{"get":{"tags":["productattributes"],"summary":"Gets specific Product Attribute by unique id","description":"Gets specific Product Attribute by unique id","operationId":"get-productattributes-id","parameters":[{"name":"id","in":"path","description":"Format - int32. Product Attribute id","required":true,"schema":{"type":"integer","description":"Product Attribute id","format":"int32","example":10000}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns found Product Attribute","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Attribute"},"example":{"id":0,"name":"string","type":"string","modified_on":"string"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"404":{"description":"Product Attribute not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}}},"/productprices":{"get":{"tags":["productprices"],"summary":"Searches Product Pricings by parameters","description":"Searches Product Pricings by parameters","operationId":"get-productprices","parameters":[{"name":"product_id","in":"query","description":"Product id or collection (comma separated)\r\nExample: 1,2,3","schema":{"type":"string","description":"Product id or collection (comma separated)\r\nExample: 1,2,3","nullable":true}},{"name":"sku","in":"query","description":"Supplier product SKU or collection (comma separated)\r\nExample: D124088,D124089","schema":{"type":"string","description":"Supplier product SKU or collection (comma separated)\r\nExample: D124088,D124089","nullable":true}},{"name":"outlet_id","in":"query","description":"Unique outlet id or collection (comma separated)\r\nExample: 1,2,3","schema":{"type":"string","description":"Unique outlet id or collection (comma separated)\r\nExample: 1,2,3","nullable":true}},{"name":"sales_channel_id","in":"query","description":"Unique sales channel id or collection (comma separated)\r\nExample: 1,2,3","schema":{"type":"string","description":"Unique sales channel id or collection (comma separated)\r\nExample: 1,2,3","nullable":true}},{"name":"page_number","in":"query","description":"Format - int32.","schema":{"maximum":100000,"minimum":1,"type":"integer","format":"int32"}},{"name":"page_size","in":"query","description":"Format - int32.","schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Paging Response with Pricings data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductPricing.PagingResponse"},"example":{"data":[{"product_id":0,"outlet_id":0,"supplier_buy_ex":0,"direct_costs_ex":0,"cogs_ex":0,"sell_price_inc":0,"promotional_price_inc":0,"promotional_price_start":"string","promotional_price_end":"string","taxable":true}],"page_number":0,"page_size":0,"total_records":0}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}}},"/products":{"get":{"tags":["products"],"summary":"Searches Products by parameters","description":"Searches Products by parameters","operationId":"get-products","parameters":[{"name":"id","in":"query","description":"Format - int32. Product Id. Other properties are skipped, if used","schema":{"type":"integer","description":"Product Id. Other properties are skipped, if used","format":"int32","nullable":true}},{"name":"search","in":"query","description":"Search. If used, other properties are skipped, except outlet_id and disabled","schema":{"type":"string","description":"Search. If used, other properties are skipped, except outlet_id and disabled","nullable":true}},{"name":"sales_channel_id","in":"query","description":"Format - int32. Sales Channel Id","schema":{"type":"integer","description":"Sales Channel Id","format":"int32","nullable":true}},{"name":"include_inventory","in":"query","description":"Include inventory","schema":{"type":"boolean","description":"Include inventory"}},{"name":"order_by","in":"query","description":"Order by. \r\n\r\nAvailable field name values: id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, product_type, supplier, core_product, disabled,\r\nlong_description, custom1, custom2, custom3, supplier_buy_ex, buy_price_ex, direct_costs_ex, markup_target, sell_price_inc, promotional_price_inc,\r\npromotional_price_expiry, rrp_inc, web_price_inc, freight_inc, max_discount_rule_id, lead_time, carton_quantity, replenishment_method_code, length, depth, breadth,\r\nshipping_cubic, weight, prevent_disabling, voucher_product, requires_assembly, loyalty_ratio, brand, season, size, colour, attribute:id, sales_channel:id\r\n\r\nAvailable direction values: asc, desc. \r\n\r\nExample: id asc, supplier_sku desc","schema":{"type":"string","description":"Order by. \r\n\r\nAvailable field name values: id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, product_type, supplier, core_product, disabled,\r\nlong_description, custom1, custom2, custom3, supplier_buy_ex, buy_price_ex, direct_costs_ex, markup_target, sell_price_inc, promotional_price_inc,\r\npromotional_price_expiry, rrp_inc, web_price_inc, freight_inc, max_discount_rule_id, lead_time, carton_quantity, replenishment_method_code, length, depth, breadth,\r\nshipping_cubic, weight, prevent_disabling, voucher_product, requires_assembly, loyalty_ratio, brand, season, size, colour, attribute:id, sales_channel:id\r\n\r\nAvailable direction values: asc, desc. \r\n\r\nExample: id asc, supplier_sku desc","nullable":true}},{"name":"filter_by","in":"query","description":"Filter by. \r\nAvailable field name values: id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, product_type, supplier, supplier_code, supplier_buy_ex,\r\nsize, colour, brand, season, core_product, disabled, attribute:Id, outlet_id, quantity_available, quantity_on_order, package, max_discount_rule_id, replenishment_method_code,\r\nexport_to_web, loyalty_ratio, voucher_product, created_on, modified_on, sales_channel:id\r\n            \r\nIn string values: '|' and ',' characters have to be escaped with slash, i.e. '\\\\,' '\\\\|'\r\n            \r\nFor operators that support multiple values (in, notin): multiple values are delimited using '|' character\r\n\r\nAvailable operators:\r\n\r\neq -  Equal\r\n\r\nneq - Not equals\r\n\r\nlt  - Less\r\n\r\nlte - Less or equal\r\n\r\ngt -  Greater\r\n\r\ngte - Greater or equal\r\n\r\nin  - In\r\n\r\nnotin - Not In\r\n            \r\ncontains - Contains\r\n\r\nisnull - Is Null\r\n            \r\nisnullorempty - Is Null Or Empty\r\n\r\nisnotnull - Is Not Null\r\n\r\nstartswith - Starts with\r\n\r\nendswith - Ends with\r\n\r\ndoesnotcontain - Does not contain\r\n            \r\nFor non-nullable fields operators isnull and isnotnull are unavailable\r\n\r\nFor dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable\r\n            \r\nFor strings operators: lt, lte, gt, gte are unavailable\r\n            \r\nExample: id:eq:2, attribute:101:isnotnull, attribute:101:eq:Custom Attribute Value 123","schema":{"type":"string","description":"Filter by. \r\nAvailable field name values: id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, product_type, supplier, supplier_code, supplier_buy_ex,\r\nsize, colour, brand, season, core_product, disabled, attribute:Id, outlet_id, quantity_available, quantity_on_order, package, max_discount_rule_id, replenishment_method_code,\r\nexport_to_web, loyalty_ratio, voucher_product, created_on, modified_on, sales_channel:id\r\n            \r\nIn string values: '|' and ',' characters have to be escaped with slash, i.e. '\\\\,' '\\\\|'\r\n            \r\nFor operators that support multiple values (in, notin): multiple values are delimited using '|' character\r\n\r\nAvailable operators:\r\n\r\neq -  Equal\r\n\r\nneq - Not equals\r\n\r\nlt  - Less\r\n\r\nlte - Less or equal\r\n\r\ngt -  Greater\r\n\r\ngte - Greater or equal\r\n\r\nin  - In\r\n\r\nnotin - Not In\r\n            \r\ncontains - Contains\r\n\r\nisnull - Is Null\r\n            \r\nisnullorempty - Is Null Or Empty\r\n\r\nisnotnull - Is Not Null\r\n\r\nstartswith - Starts with\r\n\r\nendswith - Ends with\r\n\r\ndoesnotcontain - Does not contain\r\n            \r\nFor non-nullable fields operators isnull and isnotnull are unavailable\r\n\r\nFor dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable\r\n            \r\nFor strings operators: lt, lte, gt, gte are unavailable\r\n            \r\nExample: id:eq:2, attribute:101:isnotnull, attribute:101:eq:Custom Attribute Value 123","nullable":true}},{"name":"sku","in":"query","description":"Supplier SKU.","schema":{"maxLength":50,"minLength":0,"type":"string","description":"Supplier SKU.","nullable":true}},{"name":"manufacturer_sku","in":"query","description":"Manufacturer SKU.","schema":{"maxLength":50,"minLength":0,"type":"string","description":"Manufacturer SKU.","nullable":true}},{"name":"supplier","in":"query","description":"Supplier or Collection of Suppliers (comma separated)\r\nExample: Supplier1,Supplier2,Supplier3","schema":{"type":"string","description":"Supplier or Collection of Suppliers (comma separated)\r\nExample: Supplier1,Supplier2,Supplier3","nullable":true}},{"name":"plu","in":"query","description":"Product Look-Up code (PLU) It can be Product Id, Supplier SKU, Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product. The other search parameters are ignored if used. (except of 'autocomplete')","schema":{"minLength":3,"type":"string","description":"Product Look-Up code (PLU) It can be Product Id, Supplier SKU, Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product. The other search parameters are ignored if used. (except of 'autocomplete')","nullable":true}},{"name":"autocomplete","in":"query","description":"Autocomplete. Controls partial vs exact match search. Should return only exactly matching results when its value is false and partially matching results when true.","schema":{"type":"boolean","description":"Autocomplete. Controls partial vs exact match search. Should return only exactly matching results when its value is false and partially matching results when true."}},{"name":"created_since","in":"query","description":"Format - date-time (as date-time in RFC3339). Created since","schema":{"type":"string","description":"Created since","format":"date-time","nullable":true}},{"name":"modified_since","in":"query","description":"Format - date-time (as date-time in RFC3339). Modified since","schema":{"type":"string","description":"Modified since","format":"date-time","nullable":true}},{"name":"disabled","in":"query","description":"Disabled","schema":{"type":"boolean","description":"Disabled","nullable":true}},{"name":"product_type_id","in":"query","description":"Product Type Id or Collection of Product Type Ids (comma separated)\r\nExample: 1,5,7","schema":{"type":"string","description":"Product Type Id or Collection of Product Type Ids (comma separated)\r\nExample: 1,5,7","nullable":true}},{"name":"short_description","in":"query","description":"Allows to search by description parts","schema":{"type":"string","description":"Allows to search by description parts","nullable":true}},{"name":"outlet_id","in":"query","description":"Format - int32. Outlet Id","schema":{"type":"integer","description":"Outlet Id","format":"int32","nullable":true}},{"name":"include_zero_stock","in":"query","description":"Filters products based on them being in stock","schema":{"type":"boolean","description":"Filters products based on them being in stock","nullable":true}},{"name":"style_code","in":"query","description":"Product Look-Up code (Style Code) It can be Manufacturer SKU for a product. The other search parameters are ignored if used. (except of 'autocomplete')","schema":{"minLength":3,"type":"string","description":"Product Look-Up code (Style Code) It can be Manufacturer SKU for a product. The other search parameters are ignored if used. (except of 'autocomplete')","nullable":true}},{"name":"page_number","in":"query","description":"Format - int32.","schema":{"maximum":100000,"minimum":1,"type":"integer","format":"int32"}},{"name":"page_size","in":"query","description":"Format - int32.","schema":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Paging Response with Products data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Product.PagingResponse"},"example":{"data":[{"carton_quantity":0,"cogs_ex":0,"cubic":0,"direct_costs_ex":0,"prevent_disabling":true,"promotional_price_inc":0,"promotional_price_expiry":"string","freight_inc":0,"rrp_inc":0,"sell_price_inc":0,"web_price_inc":0,"markup_target":0,"breadth":0,"core_product":true,"custom_properties":[{"name":"string","value":"string"}],"depth":0,"disabled":true,"id":0,"lead_time":0,"length":0,"loyalty_ratio":0,"manufacturer_sku":"string","product_type":{"id":0,"name":"string","modified_on":"string"},"requires_assembly":true,"shipping_cubic":0,"short_description":"string","supplier":{"id":0,"supplier_code":"string","name":"string","modified_on":"string"},"supplier_buy_ex":0,"supplier_sku":"string","supplier_sku2":"string","weight":0,"buy_price_ex":0,"long_description":"string","voucher_product":true,"max_discount_rule":{"id":0,"name":"string","value":0,"type":"string","modified_on":"string"},"replenishment_method":{"id":0,"code":"string","name":"string"},"attributes":[{"id":0,"name":"string","type":"string","modified_on":"string","value":{"id":0,"name":"string","list_order":0}}],"created_on":"string","modified_on":"string","inventory":[{"outlet":{"id":0,"name":"string","modified_on":"string"},"quantity_available":0,"quantity_on_order":0}],"sales_channels":[{"id":0,"name":"string","shopify_channel":true,"source_group":{"id":0,"name":"string"},"enabled":true}],"export_to_web":true,"package":true}],"page_number":0,"page_size":0,"total_records":0}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}},"post":{"tags":["products"],"summary":"Creates products","description":"Sample request:\r\n\r\n     POST /products\r\n     [\r\n       {\r\n        \"carton_quantity\":1,\r\n        \"cogs_ex\":11.1,\r\n        \"cubic\":20.2,\r\n        \"direct_costs_ex\":1.1,\r\n        \"prevent_disabling\":false,\r\n        \"promotional_price_inc\":1.1,\r\n        \"promotional_price_expiry\":\"2021-12-12T00:00:00\",\r\n        \"freight_inc\":1.1,\r\n        \"rrp_inc\":1.1,\r\n        \"sell_price_inc\":1.1,\r\n        \"web_price_inc\":1.1,\r\n        \"breadth\":1.1,\r\n        \"core_product\":false,\r\n        \"custom_properties\": [\r\n             {\r\n                 \"Name\": \"Custom1\",\r\n                 \"Value\": \"Value1\"\r\n             },\r\n             {\r\n                 \"Name\": \"Custom2\",\r\n                 \"Value\": \"Value2\"\r\n             }\r\n        ],\r\n        \"depth\":1.1,\r\n        \"disabled\":false,\r\n        \"lead_time\":12,\r\n        \"length\":1.1,\r\n        \"loyalty_ratio\":1.1,\r\n        \"manufacturer_sku\":\"UniqueManufacturerSku\",\r\n        \"product_type\":{\r\n           \"id\":3\r\n        },\r\n        \"requires_assembly\":false,\r\n        \"shipping_cubic\":1.1,\r\n        \"short_description\":\"ShortDescription\",\r\n        \"supplier\":{\r\n            \"supplier_code\":\"00\"\r\n        },\r\n        \"supplier_buy_ex\":1.1,\r\n        \"supplier_sku\":\"SupplierSKU1\",\r\n        \"supplier_sku2\":\"SupplierSKU2\",\r\n        \"weight\":1.1,\r\n        \"buy_price_ex\" : 0.0000,\r\n        \"attributes\":[\r\n           {\r\n              \"value\":{\r\n                 \"id\":1\r\n              },\r\n              \"id\":3\r\n           }\r\n        ],\r\n        \"long_description\": \"sample text\",\r\n        \"voucher_product\" : false,\r\n        \"max_discount_rule\":{\r\n             \"id\": 1\r\n        },\r\n        \"replenishment_method\": {\r\n              \"id\": 1\r\n        },\r\n        \"sales_channels\":[\r\n             {\r\n                 \"id\": 1,\r\n                 \"source_group\": \r\n                 {\r\n                     \"id\": 1\r\n                 },\r\n                 \"enabled\": true\r\n             }],\r\n       \"export_to_web\": false  \r\n       }\r\n     ]","operationId":"post-products","parameters":[{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"requestBody":{"description":"Products to be created","content":{"application/json":{"schema":{"title":"EmptyExample","type":"object","additionalProperties":false}}}},"responses":{"204":{"description":"Products created"},"400":{"description":"Bad request, max batch size limit of 100 is exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"},"example":{"type":"string","title":"string","status":0,"detail":"string","instance":"string"}}}}}}},"/products/{id}":{"get":{"tags":["products"],"summary":"Gets specific Product by unique id","description":"Gets specific Product by unique id","operationId":"get-products-id","parameters":[{"name":"id","in":"path","description":"Format - int32. Product id","required":true,"schema":{"type":"integer","description":"Product id","format":"int32","example":10000}},{"name":"x-api-key","in":"header","description":"Api subscription key","required":true,"schema":{"type":"string"}},{"name":"Cache-Control","in":"header","required":false,"schema":{"type":"string","default":"no-cache"}},{"name":"Authorization","in":"header","required":true,"description":"Bearer token for authorization (e.g., Bearer <token>)","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns found Product","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Product"},"example":{"carton_quantity":0,"cogs_ex":0,"cubic":0,"direct_costs_ex":0,"prevent_disabling":true,"promotional_price_inc":0,"promotional_price_expiry":"string","freight_inc":0,"rrp_inc":0,"sell_price_inc":0,"web_price_inc":0,"markup_target":0,"breadth":0,"core_product":true,"custom_properties":[{"name":"string","value":"string"}],"depth":0,"disabled":true,"id":0,"lead_time":0,"length":0,"loyalty_ratio":0,"manufacturer_sku":"string","product_type":{"id":0,"name":"string","modified_on":"string"},"requires_assembly":true,"shipping_cubic":0,"short_description":"string","supplier":{"id":0,"supplier_code":"string","name":"string","modified_on":"string"},"supplier_buy_ex":0,"supplier_sku":"string","supplier_sku2":"string","weight":0,"buy_price_ex":0,"long_description":"string","voucher_product":true,"max_discount_rule":{"id":0,"name":"string","value":0,"type":"string","modified_on":"string"},"replenishment_method":{"id":0,"code":"string","name":"string"},"attributes":[{"id":0,"name":"string","type":"string","modified_on":"string","value":{"id":0,"name":"string","list_order":0}}],"created_on":"string","modified_on":"string","inventory":[{"outlet":{"id":0,"name":"string","modified_on":"string"},"quantity_availa
[...]
